package com.zjrs.zwnw.portal.bpo.impl;

import org.mohrss.leaf.core.framework.domain.bpo.impl.BPOImpl;
import com.zjrs.zwnw.portal.blo.DhyyBLO;
import com.zjrs.zwnw.portal.bpo.DhyyBPO;
import com.zjrs.zwnw.portal.dto.ChangeUseAppDTO;
import com.zjrs.zwnw.portal.po.VRsSyYydhInfoPO;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;
import java.util.List;

@Service
public class DhyyBPOimpl extends BPOImpl implements DhyyBPO {
    @Resource
    private DhyyBLO dhyyBLO;

    @Override
    public List<VRsSyYydhInfoPO> getuserApp() {
        return dhyyBLO.getuserApp();
    }

    @Override
    public void changeUseApp(ChangeUseAppDTO dto) {
        dhyyBLO.changeUseApp(dto);
    }
}
